## pyrocore-0.5.3.zip

=== requirements.txt ===
# requirements for installation
Tempita>=0.5.1
ProxyTypes==0.9
#pyrobase>=0.3
-e git+https://github.com/pyroscope/pyrobase.git#egg=pyrobase
auvyon>=0.1

=== debian/changelog ===
pyrocore (0.5.3) precise; urgency=medium

  * issue#53: Use a live check to validate throttle names
  * issue#52: Fixed version detection when installed from PyPI
  * Include install path and Python release in version info

 -- pyroscope <pyroscope.project@gmail.com>  Sun, 11 Jun 2017 15:17:36 +0200

pyrocore (0.5.2) precise; urgency=high

  * Fix: Use `d.save_resume` to flush session
  * Fix: Updated a few more places to use new command names
  * start script: Use RPATH/RUNPATH as LD_LIBRARY_PATH
    (fixes rTorrent-PS runtime linking on newer systems)

 -- pyroscope <pyroscope.project@gmail.com>  Wed, 31 May 2017 19:51:02 +0200

pyrocore (0.5.1) precise; urgency=medium

  * Docs: Brand new docs on 'readthedocs.io'
  * Project: Moved to GitHub
  * Migration: Read the docs, take note of "rtorrent-pyro.rc"
  * rTorrent: Removed support for anything but 0.9.2+
  * Python: Removed support for 2.5 and 2.6
  * rtcontrol: added '--select' option ('-/')
  * rtcontrol: added '--shell' option
  * rtcontrol: added '--modify-view' option
  * rtcontrol: resolve '-' as a viewname to the current view (needs rT-PS)
  * rtcontrol: added 'is_multi_file' field
  * rtcontrol: added 'active' for when items last had peers
  * rtcontrol: added 'stopped' field
  * rtcontrol: added '[ NOT … ]' in conditions
  * rtcontrol: added '--prio' action
  * rtcontrol: added '--anneal' option for post-filters
  * rtcontrol: added '--exec' option for raw XMLRPC commands
  * rtcontrol: executing OS commands ('--call' and '--spawn')
  * rtcontrol: single item 'views' via '--from #‹hash›' ('#' is optional)
  * rtcontrol: actions with arguments (like --custom) now allow templating
  * rtcontrol: added 'json' formatter (main use case: files.raw.json)
  * rtcontrol: added '--json' to dump items as a JSON array
  * rtcontrol: added '--fast-query' option and config setting for query optimizer
  * rtcontrol: also added new default template 'json' for '-O json'
  * chtor: added '--regex' option
  * chtor: replacing {} with the torrent name in --hashed path
  * mktor: added '--no-cross-seed' option
  * mktor: '-X @entropy' for non-deterministic infohash
  * rtxmlrpc: allow passing of binary data via '@-' and '@filename'
  * rtxmlrpc: added '--as-import' option to call private commands
  * pyrotorque: added queue manager and tree watch features
  * pyroadmin: added '--create-import' action
  * pyroadmin: added '--dump-rc' action
  * pyroadmin: added '--remove-all-rc-files' option
  * config.py: feature to add custom template helpers
  * rtorrent config: added 'tagged' view handling
  * rtorrent config: 'd.timestamp.downloaded' attribute (thanks @chros73)
  * rtorrent config: 'd.data_path' attribute (never empty, unlike 'd.base_path')
  * UI: Rotate through color schemes with the '~' key
  * UI: Rotate through category views using '<' and '>'
  * UI: The '|' key updates the current category view
  * UI: Show uptime and other info by pressing 'u'
  * UI: Send a manual scrape for the current item with '&'
  * UI: Helper commands `tag.add`, `tag.rm`, and `tag.show` (bound to Ctrl-G)
  * API: added 'subst' templating helper
  * API: 'connect()' helper for easy interactive use
  * API: added 'h.' helper namespace to templating

 -- pyroscope <pyroscope.project@gmail.com>  Sat, 27 May 2017 19:12:55 +0200

pyrocore (0.4.2) jaunty; urgency=low

  * Added rtorrent.rc include with standard PyroScope additions
    to make configuration easier
  * mktor/chtor: --set can now create new namespaces, e.g. you
    can do "chtor -s rtorrent.custom.foo=bar baz.torrent"
  * rtxmlrpc: Fixed unicode problem when redirecting output
  * conky/rtorstat: Show free disk space on download dir's volume
  * Support for rTorrent 0.8.8 (not intensively tested)
  * Script to migrate a 0.8.6 syntax .rtorrent.rc to 0.8.8 syntax;
    see http://code.google.com/p/pyroscope/wiki/RtXmlRpcReference

 -- pyroscope <pyroscope.project@gmail.com>  Sun, 05 Jun 2011 17:00:11 +0200

pyrocore (0.4.1) jaunty; urgency=high

  * Added bash completion for rtcontrol and rtxmlrpc, and generic option
    completion to the rest
  * rtcontrol: Removed short options from actions that are non-interactive
    by default, i.e. -S(top) and -C(lose); update your scripts accordingly
  * rtcontrol: "-s*" sorts according to the given output format
  * rtcontrol: "--stats" and "--summary" to print a statistical summary;
    note that for some fields (e.g. dates) and some kinds of formatting the
    summary values might not make sense
  * rtcontrol: Added "--detach", so you can call rtcontrol directly from
    rtorrent methods and event handlers
  * rtcontrol: Added "field=/regex/" pattern filter
  * rtcontrol: Added Tempita output templates, they have to start with
    '{{' to be recognized, use '{{#}}' if you don't start with a field;
    this allows "if" and "for" loops, for more on the syntax, see
    http://pythonpaste.org/tempita/
  * rtcontrol: Added "--output-template" to pass output control to a
    Tempita template.
  * rtcontrol: Output formats can now be file: URLs that get resolved
    automatically; paths can be absolute, relative to "templates" in the
    configuration directory or start with "~" for paths in the user's
    home. Note that the file content is stripped at the end (i.e. trailing
    spaces and newlines are removed).
  * chtor: "-s field" now deletes the field (assignment without any value)
  * chtor: "-no-ssl" forces announce URLs to be 'http'
  * mktor: the chtor "--set" option now also works with mktor
  * lstor: Added virtual "__size__" field
  * Bugfix: Conditions nested 2 or more levels didn't work

 -- pyroscope <pyroscope.project@gmail.com>  Sun, 17 Apr 2011 18:00:36 +0200

pyrocore (0.3.10) hardy; urgency=low

  * New "hashcheck" tool to check data against existing torrent file
  * rtcontrol: New option "--tee-view" to ADDITIONALLY show search
    results in ncurses view (modifies -V and --to-view behaviour)


=== debian/control ===
# stub file to make dch work - no .deb packaging yet

Build-Depends: build-essential, devtools, python-dev

Depends: python2.5, python-virtualenv
